apiVersion: v1
kind: Secret
type: Opaque
metadata:
  name: freeleaps-teams-webhook
  namespace: freeleaps-monitoring-system
data:
  webhook-url: aHR0cHM6Ly9uZXRvcmdmdDEwODk4NTE0LndlYmhvb2sub2ZmaWNlLmNvbS93ZWJob29rYjIvMzAyNTU2ZTUtYzIxMS00ZjM4LWI0ODItMjA2MmQxMDRjNjc5QGNmMTUxZWU4LTVjMmMtNGZlNy1hMWM0LTgwOWJhNDNjOWYyNC9JbmNvbWluZ1dlYmhvb2svNDI1N2IzNzM5OTA0NGYwZDhiMWFkNDE2NTNiMGM0MTUvZjgyMTkyMGItMTY1OS00MGMyLWE0YjQtNDczMDA4OWI3MTM0
---
apiVersion: monitoring.coreos.com/v1alpha1
kind: AlertmanagerConfig
metadata:
  name: alertmanager-config
  namespace: freeleaps-monitoring-system
spec:
  route:
    groupBy:
    - severity
    - namespace
    groupInterval: 5m
    groupWait: 30s
    receiver: 'ms-teams'
    repeatInterval: 12h
  receivers:
  - name: 'ms-teams'
    msteamsConfigs:
    - sendResolved: true
      webhookUrl: 
        key: 'webhook-url'
        name: 'freeleaps-teams-webhook'
      title: '{{ if eq .Status "firing" }}🚨 [FIRING] 🔥{{- else -}}🙌 [RESOLVED] 🍻{{- end -}}'
      text: '{{ template "msteams.default.text" . }}'

